Customer

Get a customer by ID

get
Query parameters
idstringRequired

The UUID of the customer to retrieve

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Responses
chevron-right
200

The customer has been successfully retrieved.

application/json
idstringRequired

Unique identifier

createdAtstring · date-timeRequired

Creation timestamp

updatedAtstring · date-timeRequired

Last update timestamp

descriptionstring · nullableRequired

Customer description

Default: null
companystring · nullableRequired

Customer company name

Default: null
firstNamestring · nullableRequired

Customer first name

Default: null
lastNamestring · nullableRequired

Customer last name

Default: null
displayNamestring · nullableRequired

Customer display name This is usually a concatenation of first name and last name

Default: null
languageall of · nullableOptional

Language preference of the customer

Default: null
string · enumOptionalPossible values:
phoneNumberstring · nullableRequired

Phone number of the customer

Default: null
emailstring · nullableRequired

Email address of the customer

Default: null
emailBouncedbooleanRequired

Indicates if the customer's email has bounced

civilitystring · nullableRequired

Civility of the customer (e.g., Mr., Ms., etc.)

Default: null
emailOptinbooleanRequired

Indicates if the customer has opted in for email communications

smsOptinbooleanRequired

Indicates if the customer has opted in for SMS communications

zenchefIdstring · nullableRequired

ID of the customer in Zenchef system

Default: null
ubereatsIdstring · nullableRequired

ID of the customer in UberEats system

Default: null
deliverooIdstring · nullableRequired

ID of the customer in Deliveroo system

Default: null
zeltyIdstring · nullableRequired

ID of the customer in Zelty system

Default: null
sevenroomsIdstring · nullableRequired

ID of the customer in Sevenrooms system

Default: null
metaIdstring · nullableRequired

ID of the customer in Meta system (Facebook/Instagram)

Default: null
mewsIdstring · nullableRequired

ID of the customer in Mews system

Default: null
oracleIdstring · nullableRequired

ID of the customer in Oracle system

Default: null
partoucheIdstring · nullableRequired

ID of the customer in Partouche system

Default: null
comoIdstring · nullableRequired

ID of the customer in Como system

Default: null
theForkIdstring · nullableRequired

ID of the customer in TheFork system

Default: null
chr365Idstring · nullableRequired

ID of the customer in Chr365 system

Default: null
typestring · enum · nullableRequired

Type of the customer (e.g., Individual, Company, etc.)

Default: nullPossible values:
feedbackCountnumberRequired

Number of feedbacks provided by the customer

purchaseCountnumberRequired

Number of purchases made by the customer

averageFeedbackRatingstring · nullableRequired

Average feedback rating given by the customer

Default: null
get
/partners/customer

Import a single customer

post

When creating a customer, if the email/phoneNumber pair already exists, no new record is created. Only previously empty (null) data is then filled in; the other fields remain unchanged.

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
descriptionstring · nullableOptional

Description of the customer

companystring · nullableOptional

Company name of the customer

firstNamestring · nullableOptional

First name of the customer

lastNamestring · nullableOptional

Last name of the customer

displayNamestring · nullableOptional

Display name of the customer Usually a concatenation of first name and last name

phoneNumberstring · nullableOptional

Phone number of the customer

emailstring · email · nullableOptional

Email address of the customer

civilitystring · nullableOptional

Civility of the customer (e.g., Mr., Ms., etc.)

languageall of · nullableOptional

Language preference of the customer

string · enumOptionalPossible values:
metadataobjectOptional

Additional metadata to store with the customer This is a key-value pair object where both keys and values are strings

smsOptinboolean · nullableOptional

SMS opt-in status of the customer

emailOptinboolean · nullableOptional

Email opt-in status of the customer

zenchefIdstring · nullableOptional

ID of the customer in Zenchef system

ubereatsIdstring · nullableOptional

ID of the customer in UberEats system

deliverooIdstring · nullableOptional

ID of the customer in Deliveroo system

zeltyIdstring · nullableOptional

ID of the customer in Zelty system

sevenroomsIdstring · nullableOptional

ID of the customer in Sevenrooms system

metaIdstring · nullableOptional

ID of the customer in Meta system (Facebook/Instagram)

mewsIdstring · nullableOptional

ID of the customer in Mews system

oracleIdstring · nullableOptional

ID of the customer in Oracle system

partoucheIdstring · nullableOptional

ID of the customer in Partouche system

comoIdstring · nullableOptional

ID of the customer in Como system

theForkIdstring · nullableOptional

ID of the customer in TheFork system

chr365Idstring · nullableOptional

ID of the customer in Chr365 system

Responses
post
/partners/customer

List customers

post
Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
limitnumber · min: 1 · max: 100Optional

Pagination limit

Default: 10
pagenumber · min: 1Optional

Page to retrieve

Default: 1
Responses
post
/partners/customer/list

Import a batch of customer

post

When creating a customer, if the email/phoneNumber pair already exists, no new record is created. Only previously empty (null) data is then filled in; the other fields remain unchanged.

Header parameters
X-API-KEYstringRequired

Partner API Key

X-API-SECRETstringRequired

Partner API Secret

Body
Responses
post
/partners/customer/batch

No content

Last updated